# Class ZipEntryStorage

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.debug.core.sourcelookup.containers.ZipEntryStorage

All Implemented Interfaces:
  `IStorage, IAdaptable`

public class ZipEntryStorage extends PlatformObject implements IStorage
Storage implementation for zip entries.

This class may be instantiated.

Since:
  3.0
See Also:
  - `IStorage`
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ZipEntryStorage(ZipFile archive, ZipEntry entry)`
Constructs a new storage implementation for the given zip entry in the specified zip file

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
`ZipFile`
`getArchive()`
Deprecated, for removal: This API element is subject to removal in a future version.
Granting free access to the backing zip file archive is dangerous because a caller could close it prematurely and thus break all subsequent usages.
`Path`
`getArchivePath()`
Returns the path of the archive containing the zip entry in the file-system.
`InputStream`
`getContents()`
Returns an open input stream on the contents of this storage.
`IPath`
`getFullPath()`
Returns the full path of this storage.
`String`
`getName()`
Returns the name of this storage.
`ZipEntry`
`getZipEntry()`
Returns the entry that contains the source
`int`
`hashCode()`
`boolean`
`isReadOnly()`
Returns whether this storage is read-only.

### Methods inherited from class PlatformObject

`getAdapter`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IAdaptable

`getAdapter`

## Constructor Details

### ZipEntryStorage

public ZipEntryStorage(ZipFile archive, ZipEntry entry)
Constructs a new storage implementation for the given zip entry in the specified zip file

Parameters:
  `archive` - zip file
  `entry` - zip entry

## Method Details

### getContents

public InputStream getContents() throws CoreException
Description copied from interface: `IStorage`
Returns an open input stream on the contents of this storage. The caller is responsible for closing the stream when finished.

Specified by:
  `getContents` in interface `IStorage`
Returns:
  an input stream containing the contents of this storage
Throws:
  `CoreException` - if the contents of this storage could not be accessed. See any refinements for more information.

### getFullPath

public IPath getFullPath()
Description copied from interface: `IStorage`
Returns the full path of this storage. The returned value depends on the implementor/extender. A storage need not have a path.

Specified by:
  `getFullPath` in interface `IStorage`
Returns:
  the path related to the data represented by this storage or `null` if none.

### getName

public String getName()
Description copied from interface: `IStorage`
Returns the name of this storage. The name of a storage is synonymous with the last segment of its full path though if the storage does not have a path, it may still have a name.

Specified by:
  `getName` in interface `IStorage`
Returns:
  the name of the data represented by this storage, or `null` if this storage has no name
See Also:
  - `IStorage.getFullPath()`

### isReadOnly

public boolean isReadOnly()
Description copied from interface: `IStorage`
Returns whether this storage is read-only.

Specified by:
  `isReadOnly` in interface `IStorage`
Returns:
  `true` if this storage is read-only

### getArchive

@Deprecated(forRemoval=true, since="3.22 (removal in 2026-12 or later)") public ZipFile getArchive()
Deprecated, for removal: This API element is subject to removal in a future version.
Granting free access to the backing zip file archive is dangerous because a caller could close it prematurely and thus break all subsequent usages. Existing callers should use derived methods like `getArchivePath()` or `getContents()` instead, if possible.
Returns the archive containing the zip entry.

Returns:
  zip file

### getArchivePath

public Path getArchivePath()
Returns the path of the archive containing the zip entry in the file-system.

Returns:
  the zip file's file-system path
Since:
  3.22

### getZipEntry

public ZipEntry getZipEntry()
Returns the entry that contains the source

Returns:
  zip entry

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`